Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jclark.xsl.tr
Interface Sheet

public interface Sheet

Represents a (compiled) XSLT stylesheet. Transforms an XML tree

Method Summary
`void` | `clearOutputMethodProperties()` resets the output method properties to just those which were set in the stylesheet
`ActionDebugTarget` | `getDebugger()` gets the xrap (extension) processor for use during processing
`OutputMethod` | `getOutputMethod()` returns the current values set either by client code, the stylesheet, or defaulted for the output method properties
`java.util.Properties` | `getOutputMethodProperties()` returns the current values set either by client code, the stylesheet, or defaulted for the output method properties see java.xml.transform.Transform.getOutputMethodProperties()
`java.lang.String` | `getOutputMethodProperty(java.lang.String encodedPropertyNamespace, java.lang.String encodedPropertyName)` returns the current value of the named property
`SaxFilterMaker` | `getSaxExtensionFilter()` gets the xrap (extension) processor for use during processing
`LoadContext` | `getSourceLoadContext()` get the parameters controlling how a source tree object model is build
`Result` | `process(Node node, XMLProcessor parser, ParameterSet params, Result result)` transform the document rooted at `node` against this stylesheet
`void` | `setDebugger(ActionDebugTarget debugger)` sets the experimental xrap processor for use during processing by the ProcessContext
`void` | `setOutputMethodProperty(java.lang.String encodedPropertyNamespace, java.lang.String encodedPropertyName, java.lang.String value)` override the stylesheet's or default value for an output method property
`void` | `setSaxExtensionFilter(SaxFilterMaker xrap)` sets the experimental xrap processor for use during processing by the ProcessContext

Method Detail

### process

    public Result process(Node node,
                          XMLProcessor parser,
                          ParameterSet params,
                          Result result)
                   throws XSLException

  transform the document rooted at `node` against this stylesheet

  Parameters:
    `node` - the root node of source document
    `parser` - a loader we can (re-)use
    `params` - the XSLT run-time parameters
    `result` - the destination for the transformation results
  Throws:
    `XSLException`

### setSaxExtensionFilter

    public void setSaxExtensionFilter(SaxFilterMaker xrap)

  sets the experimental xrap processor for use during processing by the ProcessContext

### getSaxExtensionFilter

    public SaxFilterMaker getSaxExtensionFilter()

  gets the xrap (extension) processor for use during processing

### setDebugger

    public void setDebugger(ActionDebugTarget debugger)

  sets the experimental xrap processor for use during processing by the ProcessContext

### getDebugger

    public ActionDebugTarget getDebugger()

  gets the xrap (extension) processor for use during processing

### getSourceLoadContext

    public LoadContext getSourceLoadContext()

  get the parameters controlling how a source tree object model is build

### getOutputMethod

    public OutputMethod getOutputMethod()

  returns the current values set either by client code, the stylesheet, or defaulted for the output method properties

### getOutputMethodProperties

    public java.util.Properties getOutputMethodProperties()

  returns the current values set either by client code, the stylesheet, or defaulted for the output method properties see java.xml.transform.Transform.getOutputMethodProperties()

### setOutputMethodProperty

    public void setOutputMethodProperty(java.lang.String encodedPropertyNamespace,
                                        java.lang.String encodedPropertyName,
                                        java.lang.String value)
                                 throws XSLException

  override the stylesheet's or default value for an output method property

  Throws:
    `XSLException`

### clearOutputMethodProperties

    public void clearOutputMethodProperties()

  resets the output method properties to just those which were set in the stylesheet

### getOutputMethodProperty

    public java.lang.String getOutputMethodProperty(java.lang.String encodedPropertyNamespace,
                                                    java.lang.String encodedPropertyName)

  returns the current value of the named property

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD